/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.12.04
 * 描述               :                   产品规范与交货状态
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/
package market.Com.vo;

import java.io.Serializable;

import market.Com.mapper.ComPscRDeliveryMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_PSC_R_DELIVERY", namespace=ComPscRDeliveryMapper.class)
public class ComPscRDelivery extends BaseVO implements Serializable {




	/** 产品规范码 */
	@Column
	private String psc;

	/** 产品规范描述 */
	@Column("PSC_DESC")
	private String pscDesc;

	/** 交货状态代码 */
	@Column("DELIVERY_STATE_CODE")
	private String deliveryStateCode;

	/** 交货状态描述 */
	@Column("DELIVERY_STATE_DESC")
	private String deliveryStateDesc;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	
	public String getPsc() {
		return this.psc;
	}

	public String getPscDesc() {
		return this.pscDesc;
	}

	public String getDeliveryStateCode() {
		return this.deliveryStateCode;
	}

	public String getDeliveryStateDesc() {
		return this.deliveryStateDesc;
	}

	public String getValidflag() {
		return this.validflag;
	}



	public void setPsc(String psc) {
		this.psc = psc;
	}

	public void setPscDesc(String pscDesc) {
		this.pscDesc = pscDesc;
	}

	public void setDeliveryStateCode(String deliveryStateCode) {
		this.deliveryStateCode = deliveryStateCode;
	}

	public void setDeliveryStateDesc(String deliveryStateDesc) {
		this.deliveryStateDesc = deliveryStateDesc;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

}
